Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci.xa
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Statement
            |
            +--weblogic.jdbc.oci.xa.PreparedStatement
                  |
                  +--weblogic.jdbc.oci.xa.CallableStatement

public final class CallableStatement
extends PreparedStatement
implements java.sql.CallableStatement

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `close()` Deprecated.
`boolean` | `execute(java.lang.String a, int b)` Deprecated.
`boolean` | `execute(java.lang.String a, int[] b)` Deprecated.
`boolean` | `execute(java.lang.String a, java.lang.String[] b)` Deprecated.
`int` | `executeUpdate(java.lang.String a, int b)` Deprecated.
`int` | `executeUpdate(java.lang.String a, int[] b)` Deprecated.
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)` Deprecated.
`java.sql.Array` | `getArray(int i)` Deprecated.
`java.sql.Array` | `getArray(java.lang.String a)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a)` Deprecated.
`java.sql.Blob` | `getBlob(int i)` Deprecated.
`java.sql.Blob` | `getBlob(java.lang.String a)` Deprecated.
`boolean` | `getBoolean(int parameterIndex)` Deprecated.
`boolean` | `getBoolean(java.lang.String a)` Deprecated.
`byte` | `getByte(int parameterIndex)` Deprecated.
`byte` | `getByte(java.lang.String a)` Deprecated.
`byte[]` | `getBytes(int parameterIndex)` Deprecated.
`byte[]` | `getBytes(java.lang.String a)` Deprecated.
`java.sql.Clob` | `getClob(int i)` Deprecated.
`java.sql.Clob` | `getClob(java.lang.String a)` Deprecated.
`java.sql.Date` | `getDate(int parameterIndex)` Deprecated.
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)` Deprecated.
`java.sql.Date` | `getDate(java.lang.String a)` Deprecated.
`java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)` Deprecated.
`double` | `getDouble(int parameterIndex)` Deprecated.
`double` | `getDouble(java.lang.String a)` Deprecated.
`float` | `getFloat(int parameterIndex)` Deprecated.
`float` | `getFloat(java.lang.String a)` Deprecated.
`java.sql.ResultSet` | `getGeneratedKeys()` Deprecated.
`int` | `getInt(int parameterIndex)` Deprecated.
`int` | `getInt(java.lang.String a)` Deprecated.
`long` | `getLong(int parameterIndex)` Deprecated.
`long` | `getLong(java.lang.String a)` Deprecated.
`boolean` | `getMoreResults(int a)` Deprecated.
`java.lang.Object` | `getObject(int parameterIndex)` Deprecated.
`java.lang.Object` | `getObject(int i, java.util.Map map)` Deprecated.
`java.lang.Object` | `getObject(java.lang.String a)` Deprecated.
`java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)` Deprecated.
`java.sql.ParameterMetaData` | `getParameterMetaData()` Deprecated.
`java.sql.Ref` | `getRef(int i)` Deprecated.
`java.sql.Ref` | `getRef(java.lang.String a)` Deprecated.
`int` | `getResultSetHoldability()` Deprecated.
`short` | `getShort(int parameterIndex)` Deprecated.
`short` | `getShort(java.lang.String a)` Deprecated.
`java.lang.String` | `getString(int parameterIndex)` Deprecated.
`java.lang.String` | `getString(java.lang.String a)` Deprecated.
`java.sql.Time` | `getTime(int parameterIndex)` Deprecated.
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)` Deprecated.
`java.sql.Time` | `getTime(java.lang.String a)` Deprecated.
`java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)` Deprecated.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)` Deprecated.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)` Deprecated.
`java.sql.Timestamp` | `getTimestamp(java.lang.String a)` Deprecated.
`java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)` Deprecated.
`java.net.URL` | `getURL(int a)` Deprecated.
`java.net.URL` | `getURL(java.lang.String a)` Deprecated.
`void` | `registerOutParameter(int parameterIndex, int sqlType)` Deprecated.
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)` Deprecated.
`void` | `registerOutParameter(int paramIndex, int sqlType, java.lang.String typeName)` Deprecated.
`void` | `registerOutParameter(java.lang.String a, int b)` Deprecated.
`void` | `registerOutParameter(java.lang.String a, int b, int c)` Deprecated.
`void` | `registerOutParameter(java.lang.String a, int b, java.lang.String c)` Deprecated.
`void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, int c)` Deprecated.
`void` | `setBigDecimal(java.lang.String a, java.math.BigDecimal b)` Deprecated.
`void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, int c)` Deprecated.
`void` | `setBoolean(java.lang.String a, boolean b)` Deprecated.
`void` | `setByte(java.lang.String a, byte b)` Deprecated.
`void` | `setBytes(java.lang.String a, byte[] b)` Deprecated.
`void` | `setCharacterStream(java.lang.String a, java.io.Reader b, int c)` Deprecated.
`void` | `setDate(java.lang.String a, java.sql.Date b)` Deprecated.
`void` | `setDate(java.lang.String a, java.sql.Date b, java.util.Calendar c)` Deprecated.
`void` | `setDouble(java.lang.String a, double b)` Deprecated.
`void` | `setFloat(java.lang.String a, float b)` Deprecated.
`void` | `setInt(java.lang.String a, int b)` Deprecated.
`void` | `setLong(java.lang.String a, long b)` Deprecated.
`void` | `setNull(java.lang.String a, int b)` Deprecated.
`void` | `setNull(java.lang.String a, int b, java.lang.String c)` Deprecated.
`void` | `setObject(java.lang.String a, java.lang.Object b)` Deprecated.
`void` | `setObject(java.lang.String a, java.lang.Object b, int c)` Deprecated.
`void` | `setObject(java.lang.String a, java.lang.Object b, int c, int d)` Deprecated.
`void` | `setShort(java.lang.String a, short b)` Deprecated.
`void` | `setString(java.lang.String a, java.lang.String b)` Deprecated.
`void` | `setTime(java.lang.String a, java.sql.Time b)` Deprecated.
`void` | `setTime(java.lang.String a, java.sql.Time b, java.util.Calendar c)` Deprecated.
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b)` Deprecated.
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b, java.util.Calendar c)` Deprecated.
`void` | `setURL(int a, java.net.URL b)` Deprecated.
`void` | `setURL(java.lang.String a, java.net.URL b)` Deprecated.
`boolean` | `wasNull()` Deprecated.

Methods inherited from class weblogic.jdbc.oci.xa.PreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class weblogic.jdbc.oci.xa.Statement
`addBatch, cancel, clearBatch, clearWarnings, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    wasNull in interface java.sql.CallableStatement

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getString in interface java.sql.CallableStatement

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBoolean in interface java.sql.CallableStatement

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    getByte in interface java.sql.CallableStatement

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getShort in interface java.sql.CallableStatement

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getInt in interface java.sql.CallableStatement

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    getLong in interface java.sql.CallableStatement

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getFloat in interface java.sql.CallableStatement

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDouble in interface java.sql.CallableStatement

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBytes in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getObject in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.

  Overrides:
    close in class PreparedStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getRef in interface java.sql.CallableStatement

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getClob in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Deprecated.
  Specified by:
    getArray in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getObject in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

  Deprecated.

  Overrides:
    execute in class Statement

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

  Deprecated.

  Overrides:
    execute in class Statement

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

  Deprecated.

  Overrides:
    execute in class Statement

### getBoolean

    public boolean getBoolean(java.lang.String a)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBoolean in interface java.sql.CallableStatement

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

  Deprecated.

  Overrides:
    getMoreResults in class Statement

### getByte

    public byte getByte(java.lang.String a)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    getByte in interface java.sql.CallableStatement

### getBytes

    public byte[] getBytes(java.lang.String a)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBytes in interface java.sql.CallableStatement

### getDouble

    public double getDouble(java.lang.String a)
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDouble in interface java.sql.CallableStatement

### getFloat

    public float getFloat(java.lang.String a)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getFloat in interface java.sql.CallableStatement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

  Deprecated.

  Overrides:
    executeUpdate in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

  Deprecated.

  Overrides:
    executeUpdate in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

  Deprecated.

  Overrides:
    executeUpdate in class Statement

### getInt

    public int getInt(java.lang.String a)
               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getInt in interface java.sql.CallableStatement

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Deprecated.

  Overrides:
    getResultSetHoldability in class Statement

### getObject

    public java.lang.Object getObject(java.lang.String a)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getObject in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(java.lang.String a,
                                      java.util.Map b)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getObject in interface java.sql.CallableStatement

### getString

    public java.lang.String getString(java.lang.String a)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    getString in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String a)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getURL

    public java.net.URL getURL(int a)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getURL in interface java.sql.CallableStatement

### getURL

    public java.net.URL getURL(java.lang.String a)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getURL in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(java.lang.String a)
                            throws java.sql.SQLException

  Deprecated.
  Specified by:
    getArray in interface java.sql.CallableStatement

### getBlob

    public java.sql.Blob getBlob(java.lang.String a)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(java.lang.String a)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getClob in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(java.lang.String a)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDate in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getDate in interface java.sql.CallableStatement

### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

  Deprecated.

  Overrides:
    getParameterMetaData in class PreparedStatement

### getRef

    public java.sql.Ref getRef(java.lang.String a)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getRef in interface java.sql.CallableStatement

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Deprecated.

  Overrides:
    getGeneratedKeys in class Statement

### getTime

    public java.sql.Time getTime(java.lang.String a)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTime in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a,
                                           java.util.Calendar b)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getLong

    public long getLong(java.lang.String a)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    getLong in interface java.sql.CallableStatement

### getShort

    public short getShort(java.lang.String a)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getShort in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     int c)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     java.lang.String c)
                              throws java.sql.SQLException

  Deprecated.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### setAsciiStream

    public void setAsciiStream(java.lang.String a,
                               java.io.InputStream b,
                               int c)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    setAsciiStream in interface java.sql.CallableStatement

### setBigDecimal

    public void setBigDecimal(java.lang.String a,
                              java.math.BigDecimal b)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBigDecimal in interface java.sql.CallableStatement

### setBinaryStream

    public void setBinaryStream(java.lang.String a,
                                java.io.InputStream b,
                                int c)
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBinaryStream in interface java.sql.CallableStatement

### setBoolean

    public void setBoolean(java.lang.String a,
                           boolean b)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBoolean in interface java.sql.CallableStatement

### setByte

    public void setByte(java.lang.String a,
                        byte b)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setByte in interface java.sql.CallableStatement

### setBytes

    public void setBytes(java.lang.String a,
                         byte[] b)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBytes in interface java.sql.CallableStatement

### setCharacterStream

    public void setCharacterStream(java.lang.String a,
                                   java.io.Reader b,
                                   int c)
                            throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCharacterStream in interface java.sql.CallableStatement

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDate in interface java.sql.CallableStatement

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDate in interface java.sql.CallableStatement

### setDouble

    public void setDouble(java.lang.String a,
                          double b)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setDouble in interface java.sql.CallableStatement

### setFloat

    public void setFloat(java.lang.String a,
                         float b)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setFloat in interface java.sql.CallableStatement

### setInt

    public void setInt(java.lang.String a,
                       int b)
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    setInt in interface java.sql.CallableStatement

### setLong

    public void setLong(java.lang.String a,
                        long b)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setLong in interface java.sql.CallableStatement

### setNull

    public void setNull(java.lang.String a,
                        int b)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setNull in interface java.sql.CallableStatement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.CallableStatement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.CallableStatement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c,
                          int d)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setObject in interface java.sql.CallableStatement

### setShort

    public void setShort(java.lang.String a,
                         short b)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setShort in interface java.sql.CallableStatement

### setString

    public void setString(java.lang.String a,
                          java.lang.String b)
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    setString in interface java.sql.CallableStatement

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTime in interface java.sql.CallableStatement

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTime in interface java.sql.CallableStatement

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp b)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTimestamp in interface java.sql.CallableStatement

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp b,
                             java.util.Calendar c)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTimestamp in interface java.sql.CallableStatement

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Deprecated.

  Overrides:
    setURL in class PreparedStatement

### setURL

    public void setURL(java.lang.String a,
                       java.net.URL b)
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    setURL in interface java.sql.CallableStatement

### setNull

    public void setNull(java.lang.String a,
                        int b,
                        java.lang.String c)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setNull in interface java.sql.CallableStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD